| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
GslErrorHandlers Namespace Reference

The collection of Error Handlers for GSL. More...

## Functions
GAUDI_API void | ignoreTheError (const char *reason, const char *file, int line, int code)
| The simplest Gsl Error handler, It simply ingnores the error. More...
GAUDI_API void | handleTheError (const char *reason, const char *file, int line, int code)
| The simplest Gsl Error handler, It delegates the actual error handling to GSL Service. More...
GAUDI_API void | throwException (const char *reason, const char *file, int line, int code)
| The simple Gsl Error handler, it throwns the Gaudi Exception. More...

## Detailed Description

The collection of Error Handlers for GSL.

Author
  Vanya Belyaev Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  29/04/2002

## Function Documentation

void GslErrorHandlers::handleTheError | ( | const char * | reason,
|  | const char * | file,
|  | int | line,
|  | int | code
| ) |  |

The simplest Gsl Error handler, It delegates the actual error handling to GSL Service.

See also
  IGslSvc

Parameters

  reason | error reason (message)
  file | file name
  line | line number
  code | error code

Author
  Vanya Belyaev Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  29/04/2002

Definition at line 31 of file GslErrorHandlers.cpp.

35 {
36 // het the GSL service
37 const IGslSvc* svc = GaudiGSL::gslSvc() ;
38 // handle the error if service is valid
39 if( nullptr != svc ) { svc->handle( GslError( reason , file , line , code ) ) ; }
40 }
GslError
Helper class to represent GSL errors.
Definition: GslError.h:15
IGslSvc
The abstract interface to "deal" with GNU Scientific Library (GLS) The main task is the error handlin...
Definition: IGslSvc.h:16
plotSpeedupsPyRoot.line
tuple line
Definition: plotSpeedupsPyRoot.py:164
ana.file
list file
Definition: ana.py:160
GaudiGSL::gslSvc
static const IGslSvc * gslSvc()
static accessor to Gaudi GSL Service
Definition: GaudiGSL.cpp:27
IGslSvc::handle
virtual StatusCode handle(const GslError &error) const =0
handle the GSL error

void GslErrorHandlers::ignoreTheError | ( | const char * | reason,
|  | const char * | file,
|  | int | line,
|  | int | code
| ) |  |

The simplest Gsl Error handler, It simply ingnores the error.

See also
  IGslSvc

Parameters

  reason | error reason (message)
  file | file name
  line | line number
  code | error code

Author
  Vanya Belyaev Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  29/04/2002

Definition at line 24 of file GslErrorHandlers.cpp.

28 {}

void GslErrorHandlers::throwException | ( | const char * | reason,
|  | const char * | file,
|  | int | line,
|  | int | code
| ) |  |

The simple Gsl Error handler, it throwns the Gaudi Exception.

Exceptions

  GaudiException |

See also
  GaudiException

Parameters

  reason | error reason (message)
  file | file name
  line | line number
  code | error code

Author
  Vanya Belyaev Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  29/04/2002

Definition at line 43 of file GslErrorHandlers.cpp.

47 {
48 std::ostringstream error;
49 error << " GSL ErrorCode=" << code << ": '" << reason
50 << "' in the file '" << file << "' at the line " << line;
51 throw GaudiException( error.str() , "*GLS Error*" , StatusCode::FAILURE );
52 }
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:23
plotSpeedupsPyRoot.line
tuple line
Definition: plotSpeedupsPyRoot.py:164
StatusCode::FAILURE
Definition: StatusCode.h:29
std::ostringstream
STL class.
std::ostringstream::str
T str(T...args)
ana.file
list file
Definition: ana.py:160